---
updatedAt: 2026-05-12T09:58:06.000Z
---

# Create BLA

This operation allows you to create a new Business Logic Assessment for the specified site to run on a specified date.

# OpenAPI definition

```json
{
  "components": {
    "responses": {
      "BadRequestResponse": {
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/ErrorMessage"
            }
          }
        },
        "description": "BadRequestResponse indicates a request with invalid parameters"
      },
      "BusinessLogicAssessmentUpdateResponse": {
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/BusinessLogicAssessmentOutput"
            }
          }
        },
        "description": "BusinessLogicAssessmentUpdateResponse provides information for an updated business logic assessment"
      },
      "ForbiddenResponse": {
        "description": "ForbiddenResponse signals a request for a resource that does not exist or is not authorized"
      },
      "GenericError": {
        "description": "GenericError generic error"
      },
      "UnauthorizedResponse": {
        "description": "UnauthorizedResponse signals an unauthorized API access"
      }
    },
    "schemas": {
      "BusinessLogicAssessmentInput": {
        "description": "BusinessLogicAssessmentInput contains the request body fields used to create a BLA",
        "properties": {
          "BLAType": {
            "description": "BLAType is the type of BLA requested. Valid values are *Standard* and *Add-On*",
            "type": "string"
          },
          "ContractRef": {
            "description": "ContractRef is the Salesforce ID of the contract to which this BLA is attached",
            "type": "string"
          },
          "Name": {
            "description": "Name is an optional name for this BLA",
            "type": "string"
          },
          "dateScheduled": {
            "description": "dateScheduled is the date desired for scheduling the BLA, with a format of YYYY-MM-DD",
            "type": "string"
          },
          "licenseId": {
            "description": "licenseId is the ID of the license associated with this BLA",
            "format": "int64",
            "type": "integer"
          },
          "userNotes": {
            "description": "userNotes contains any special instructions for this BLA",
            "type": "string"
          },
          "whSiteID": {
            "description": "whSiteID is the site ID associated with this BLA",
            "type": "string"
          }
        },
        "required": [
          "whSiteID",
          "dateScheduled",
          "licenseId"
        ],
        "type": "object"
      },
      "BusinessLogicAssessmentOutput": {
        "description": "BusinessLogicAssessmentOutput is the structure for returning BLA data from the create POST",
        "properties": {
          "dateScheduled": {
            "type": "string"
          },
          "id": {
            "type": "string"
          },
          "siteId": {
            "type": "string"
          }
        },
        "type": "object"
      },
      "ErrorMessage": {
        "description": "ErrorMessage describes the error",
        "properties": {
          "code": {
            "format": "int64",
            "type": "integer"
          },
          "reason": {
            "type": "string"
          }
        },
        "type": "object"
      }
    }
  },
  "info": {
    "license": {
      "name": "(c) Copyright 2021 WhiteHat Security"
    },
    "title": "Business Logic Assessments API",
    "version": "2.0.0"
  },
  "openapi": "3.0.1",
  "paths": {
    "/api/businessLogicAssessments": {
      "post": {
        "description": "This operation allows you to create a new Business Logic Assessment for the specified site to run on a specified date.",
        "operationId": "createBusinessLogicAssessment",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/BusinessLogicAssessmentInput"
              }
            }
          },
          "description": "Body holds information for creating a BLA",
          "required": true,
          "x-go-name": "Body"
        },
        "responses": {
          "201": {
            "$ref": "#/components/responses/BusinessLogicAssessmentUpdateResponse"
          },
          "400": {
            "$ref": "#/components/responses/BadRequestResponse"
          },
          "401": {
            "$ref": "#/components/responses/UnauthorizedResponse"
          },
          "403": {
            "$ref": "#/components/responses/ForbiddenResponse"
          },
          "500": {
            "$ref": "#/components/responses/GenericError"
          }
        },
        "summary": "Create BLA",
        "tags": [
          "Business Logic Assessments API v2.0"
        ]
      }
    }
  },
  "servers": [
    {
      "url": "https://sentinel.whitehatsec.com/"
    }
  ],
  "tags": [
    {
      "name": "Business Logic Assessments API v2.0"
    }
  ],
  "x-explorer-enabled": false,
  "x-readme": {
    "proxy-enabled": true
  }
}
```